Gecode::CloneStatistics Class Reference

Statistics for execution of clone More...

`#include <core.hpp>`

## Public Member Functions

| CloneStatistics (void)
| Initialize.
void | reset (void)
| Reset information.
CloneStatistics | operator+ (const CloneStatistics &s)
| Return sum with s.
CloneStatistics & | operator+= (const CloneStatistics &s)
| Increment by statistics s.

## Detailed Description

Statistics for execution of clone

Definition at line 1709 of file core.hpp.

## Constructor & Destructor Documentation

## CloneStatistics()

Gecode::CloneStatistics::CloneStatistics | ( | void |  | ) |

inline

Initialize.

Definition at line 4712 of file core.hpp.

## Member Function Documentation

## reset()

void Gecode::CloneStatistics::reset | ( | void |  | ) |

inline

Reset information.

Definition at line 4709 of file core.hpp.

## operator+()

CloneStatistics Gecode::CloneStatistics::operator+ | ( | const CloneStatistics & | s | ) |

inline

Return sum with s.

Definition at line 4716 of file core.hpp.

## operator+=()

CloneStatistics & Gecode::CloneStatistics::operator+= | ( | const CloneStatistics & | s | ) |

inline

Increment by statistics s.

Definition at line 4721 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp